package com.kym.service.miniapp.impl;

import com.kym.entity.miniapp.Account;
import com.kym.entity.miniapp.ChargeOrder;
import com.kym.service.miniapp.DiscountService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 无优惠策略
 *
 * @author skyline
 */
@Service
@Slf4j
public class NoDiscountHandle implements DiscountService {

    @Override
    public void computeDiscount(ChargeOrder chargeOrder, Account account) {
        chargeOrder.setDiscountAmount(0);
        chargeOrder.setServiceMoneyDiscount(0);
    }

    ;


}
